Bug 1543949 - [abrt] wxmacmolplt: _XSend(): wxmacmolplt killed by SIGSEGV
Summary: [abrt] wxmacmolplt: _XSend(): wxmacmolplt killed by SIGSEGV
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: wxmacmolplt
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b731484c9ad1218e6471fad3352...
Keywords:
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2018-02-09 16:01 UTC by Thomas Gerger
Modified: 2018-11-30 22:17 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-11-30 22:17:12 UTC


Attachments (Terms of Use)
File: backtrace (41.69 KB, text/plain)
2018-02-09 16:01 UTC, Thomas Gerger
no flags Details
File: cgroup (289 bytes, text/plain)
2018-02-09 16:01 UTC, Thomas Gerger
no flags Details
File: core_backtrace (15.15 KB, text/plain)
2018-02-09 16:01 UTC, Thomas Gerger
no flags Details
File: cpuinfo (1.19 KB, text/plain)
2018-02-09 16:01 UTC, Thomas Gerger
no flags Details
File: dso_list (9.03 KB, text/plain)
2018-02-09 16:01 UTC, Thomas Gerger
no flags Details
File: environ (1.80 KB, text/plain)
2018-02-09 16:01 UTC, Thomas Gerger
no flags Details
File: exploitable (82 bytes, text/plain)
2018-02-09 16:01 UTC, Thomas Gerger
no flags Details
File: limits (1.29 KB, text/plain)
2018-02-09 16:01 UTC, Thomas Gerger
no flags Details
File: maps (48.18 KB, text/plain)
2018-02-09 16:01 UTC, Thomas Gerger
no flags Details
File: mountinfo (3.64 KB, text/plain)
2018-02-09 16:01 UTC, Thomas Gerger
no flags Details
File: open_fds (842 bytes, text/plain)
2018-02-09 16:01 UTC, Thomas Gerger
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-02-09 16:01 UTC, Thomas Gerger
no flags Details

Description Thomas Gerger 2018-02-09 16:01:30 UTC
Description of problem:
wxMacMolplt crashes with a segmentation fault right after being executed from dash or terminal.

Version-Release number of selected component:
wxmacmolplt-7.7-6.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        wxmacmolplt
crash_function: _XSend
executable:     /usr/bin/wxmacmolplt
journald_cursor: s=8f4ad777f5e74b2f8626d71058dfc1f0;i=51b70;b=5c9949df79bb41f8879cb6e3a3ad402d;m=2f544a1513;t=564c91bf524be;x=f91336ec5ed3ce7c
kernel:         4.14.14-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _XSend at xcb_io.c:462
 #1 XQueryExtension at QuExt.c:47
 #2 InitDisplayInfoEntry at libglxmapping.c:640
 #3 __glXLookupDisplay at libglxmapping.c:732
 #4 glXQueryVersion at libglx.c:1118
 #5 wxGLCanvasX11::GetGLXVersion() at ./src/unix/glx11.cpp:588
 #6 wxGLCanvasX11::ConvertWXAttrsToGL(int const*, int*, unsigned long) at ./src/unix/glx11.cpp:343
 #7 wxGLCanvasX11::InitXVisualInfo(int const*, __GLXFBConfigRec***, XVisualInfo**) at ./src/unix/glx11.cpp:498
 #8 wxGLCanvasX11::InitVisual(int const*) at ./src/unix/glx11.cpp:226
 #9 wxGLCanvas::Create(wxWindow*, int, wxPoint const&, wxSize const&, long, wxString const&, int const*, wxPalette const&) at ./src/gtk/glcanvas.cpp:233

Comment 1 Thomas Gerger 2018-02-09 16:01:35 UTC
Created attachment 1393817 [details]
File: backtrace

Comment 2 Thomas Gerger 2018-02-09 16:01:36 UTC
Created attachment 1393818 [details]
File: cgroup

Comment 3 Thomas Gerger 2018-02-09 16:01:38 UTC
Created attachment 1393819 [details]
File: core_backtrace

Comment 4 Thomas Gerger 2018-02-09 16:01:40 UTC
Created attachment 1393820 [details]
File: cpuinfo

Comment 5 Thomas Gerger 2018-02-09 16:01:42 UTC
Created attachment 1393821 [details]
File: dso_list

Comment 6 Thomas Gerger 2018-02-09 16:01:43 UTC
Created attachment 1393822 [details]
File: environ

Comment 7 Thomas Gerger 2018-02-09 16:01:45 UTC
Created attachment 1393823 [details]
File: exploitable

Comment 8 Thomas Gerger 2018-02-09 16:01:46 UTC
Created attachment 1393824 [details]
File: limits

Comment 9 Thomas Gerger 2018-02-09 16:01:48 UTC
Created attachment 1393825 [details]
File: maps

Comment 10 Thomas Gerger 2018-02-09 16:01:50 UTC
Created attachment 1393826 [details]
File: mountinfo

Comment 11 Thomas Gerger 2018-02-09 16:01:51 UTC
Created attachment 1393827 [details]
File: open_fds

Comment 12 Thomas Gerger 2018-02-09 16:01:53 UTC
Created attachment 1393828 [details]
File: proc_pid_status

Comment 13 Dominik 'Rathann' Mierzejewski 2018-03-10 23:31:36 UTC
This seems to happen only under Wayland (e.g. GNOME Wayland session). I'm unable to reproduce it under plain Xorg (MATE Desktop).

Comment 14 Dominik 'Rathann' Mierzejewski 2018-07-30 09:55:10 UTC
Blocking Wayland-related tracker bug.

Comment 15 Ben Cotton 2018-11-27 14:53:55 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2018-11-30 22:17:12 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.